// A class to describe the buildah bud stage
class BuildahBud implements Serializable {
  private final Script script

	BuildahBud(Script script) {
    this.script = script
  }

  void execute(String imgContext,
               String imgName,
               String imgArch = 'arm64/v8',
               String imgTag = 'latest',
               String imgRegistry = 'haproxy.lan:5000',
               String stageName = 'build') {

    def shCmd = sprintf(
        'buildah bud --no-cache --arch=%s -t %s/%s:%s %s',
        imgArch, imgRegistry, imgName, imgTag, imgContext)

    script.stage(stageName) {
      script.echo "Building image ${imgRegistry}/${imgName}:${imgTag}..."
      script.sh shCmd
    }
  }
}
