// A class to describe the buildah push stage
class BuildahPush implements Serializable {
	private final Script script

	BuildahPush(Script script) {
		this.script = script
  }

  void execute(String imgName,
               String imgTag = 'latest',
               String imgRegistry = 'haproxy.lan:5000',
               String stageName = 'push') {

      def shCmd = sprintf('buildah push %s/%s:%s', imgRegistry, imgName, imgTag)

		script.stage(stageName) {
      script.echo "Building image ${imgRegistry}/${imgName}:${imgTag}..."
      script.sh shCmd
    }
  }
}
