def call() {
    pipeline {
        agent {
            docker {
              label 'podman'
              image 'ghcr.io/gitleaks/gitleaks:v8.18.3'
              args '-u root --entrypoint='
            }
        }

        stages {
            stage('scan') {
                steps {
                    script {
                        sh returnStatus: true, script: '''
                        gitleaks detect \
                          --no-color --no-banner \
                          --report-path gitleaks-report.json
                        '''
                        def r = readJSON file: 'gitleaks-report.json'
                        if (!r.isEmpty()) {
                            unstable(message: "Secrets detected in ${BUILD_URL}")
                        }
                    }
                }
            }
        }
        post {
            always {
                archiveArtifacts artifacts: 'gitleaks-report.json', fingerprint: true
            }
        }
    }
}
